## libspring-java 4.3.30

=== debian/changelog ===
libspring-java (4.3.30-4) unstable; urgency=medium

  * Team upload
  * Building against snakeyaml 2.x (Closes: #1117949)
  * Removing unneeded versioned B-D and fixing spelling mistakes in Recommends:
  * Rewriting d/watch with version 5, syntax changes

 -- Pierre Gruet <pgt@debian.org>  Tue, 28 Oct 2025 13:03:59 +0100

libspring-java (4.3.30-3) unstable; urgency=medium

  * Team upload.
  * Depend on libtomcat11-java instead of libtomcat10-java.
  * Standards-Version updated to 4.7.2

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 17 Mar 2025 00:11:16 +0100

libspring-java (4.3.30-2) unstable; urgency=medium

  * Team upload.
  * Depend on libtomcat10-java instead of libtomcat9-java.
  * Add xmlbeans-4-ftbfs.patch and fix FTBFS with xmlbeans 4.
    (Closes: #1011689)
  * Ignore junit-bom and jboss-logging artifact.
  * Ignore org.eclipse.persistence:jakarta.persistence.
  * Install README.Debian.security and explain that libspring-java should be
    only used for building other Debian packages or in a secured local
    environment with trusted devices.

 -- Markus Koschany <apo@debian.org>  Mon, 27 Feb 2023 21:50:50 +0100

libspring-java (4.3.30-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Fixes CVE-2020-5421: RFD Protection Bypass via jsessionid
      (Closes: #973381)
  * No longer build the deprecated classes dedicated to JRuby scripting.
    JRuby can still be used with the javax.script API (Closes: #979723)
  * Standards-Version updated to 4.5.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 10 Jan 2021 22:30:25 +0100
