=== debian/control ===
Source: libspring-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 11),
               default-jdk,
               gradle,
               gradle-debian-helper
Build-Depends-Indep: bsh,
                     gradle-plugin-protobuf,
                     gradle-propdeps-plugin,
                     groovy,
                     junit4,
                     libactivation-java,
                     libapache-poi-java,
                     libasm-java,
                     libaspectj-java,
                     libatinject-jsr330-api-java,
                     libc3p0-java,
                     libcastor-xml-java,
                     libcglib-java,
                     libcommons-beanutils-java,
                     libcommons-collections3-java,
                     libcommons-fileupload-java,
                     libcommons-logging-java,
                     libcommons-pool-java,
                     libcommons-pool2-java,
                     libderbyclient-java,
                     libdom4j-java,
                     libecj-java,
                     libeclipselink-java,
                     libehcache-java,
                     libel-api-java,
                     libfreemarker-java,
                     libgeronimo-annotation-1.3-spec-java,
                     libgeronimo-commonj-spec-java,
                     libgeronimo-concurrent-1.0-spec-java,
                     libgeronimo-ejb-3.2-spec-java,
                     libgeronimo-interceptor-3.0-spec-java,
                     libgeronimo-j2ee-connector-1.5-spec-java,
                     libgeronimo-jcache-1.0-spec-java,
                     libgeronimo-jms-1.1-spec-java,
                     libgeronimo-jta-1.2-spec-java,
                     libgeronimo-validation-1.0-spec-java,
                     libhessian-java,
                     libhibernate-validator4-java,
                     libhibernate3-java,
                     libhsqldb-java,
                     libhttpasyncclient-java,
                     libitext-java,
                     libjackson-json-java,
                     libjackson2-databind-java,
                     libjackson2-dataformat-xml-java,
                     libjamon-java,
#                     libjasperreports-java (>= 6.1.1+dfsg-4~),
                     libjaxb-api-java,
                     libjaxws-api-java,
                     libjdo-api-java,
                     libjetty9-extra-java,
                     libjexcelapi-java,
                     libjibx1.2-java,
                     libjoda-time-java,
                     libjoptsimple-java,
                     libjpa-2.1-spec-java,
                     libjsf-api-java,
                     libjsonpath-java,
                     libjsp-api-java,
                     libjws-api-java,
                     libmail-java,
                     libnetty-java,
                     libopenjpa-java,
                     libportlet-api-2.0-spec-java,
                     libprotobuf-java,
                     libprotobuf-java-format-java,
                     libquartz2-java,
#                     libreactor-core-java (>= 2.0.8),
                     librome-java,
                     libservlet-api-java,
                     libtaglibs-standard-jstlel-java,
                     libtiles-java,
                     libtomcat11-java,
                     libvelocity-tools-java,
                     libwebjars-locator-java,
                     libwebjars-locator-core-java,
                     libwebsocket-api-java,
                     libxmlbeans-java,
                     libxmlunit-java,
                     libxstream-java,
                     libyaml-snake-java (>= 2.5+ds),
                     maven-repo-helper,
                     testng,
                     velocity
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/java-team/libspring-java.git
Vcs-Browser: https://salsa.debian.org/java-team/libspring-java
Homepage: https://spring.io/projects/spring-framework

Package: libspring-core-java
Architecture: all
Depends: libactivation-java,
         libasm-java,
         libcommons-logging-java,
         libjaxb-api-java,
         ${misc:Depends}
Suggests: libaspectj-java,
          libcommons-collections3-java,
          liblog4j1.2-java
Description: modular Java/J2EE application framework - Core
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.core.jar : Core abstractions and
 utilities, source-level metadata support.

Package: libspring-beans-java
Architecture: all
Depends: libatinject-jsr330-api-java,
         libspring-core-java (= ${source:Version}),
         ${misc:Depends}
Suggests: libcglib-java, libyaml-snake-java (>= 2.5+ds)
Description: modular Java/J2EE application framework - Beans
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.beans.jar : JavaBeans support and
 bean container.

Package: libspring-aop-java
Architecture: all
Depends: libspring-beans-java (= ${source:Version}),
         libspring-core-java (= ${source:Version}),
         ${misc:Depends}
Suggests: libaspectj-java, libcglib-java, libcommons-pool-java, libcommons-pool2-java, libjamon-java
Description: modular Java/J2EE application framework - AOP
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.aop.jar and
 org.springframework.aspects.jar: Aspect-oriented programming
 framework.

Package: libspring-context-java
Architecture: all
Depends: libspring-aop-java (= ${source:Version}),
         libspring-beans-java (= ${source:Version}),
         libspring-core-java (= ${source:Version}),
         libspring-expression-java (= ${source:Version}),
         ${misc:Depends}
Recommends: libasm-java,
            libatinject-jsr330-api-java,
            libcglib-java,
            libgeronimo-ejb-3.2-spec-java,
            libgeronimo-jms-1.1-spec-java,
            libgeronimo-validation-1.0-spec-java,
            libjoda-time-java,
            libspring-instrument-java (= ${source:Version}),
            libtomcat11-java
Suggests: bsh,
          groovy
Description: modular Java/J2EE application framework - Context
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.context.jar : application context,
 JNDI, JMX, instrumentation, remoting, scripting, scheduling and validation

Package: libspring-context-support-java
Architecture: all
Depends: libspring-beans-java (= ${source:Version}),
         libspring-context-java (= ${source:Version}),
         libspring-core-java (= ${source:Version}),
         ${misc:Depends}
Recommends: libspring-jdbc-java (= ${source:Version}),
            libspring-transaction-java (= ${source:Version})
Suggests: libehcache-java,
          libfreemarker-java,
          libgeronimo-commonj-spec-java,
#          libjasperreports-java,
          libquartz2-java,
          velocity
Description: modular Java/J2EE application framework - Context Support
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.context.support.jar : Quartz
 scheduling, UI templating, mail and caching

Package: libspring-web-java
Architecture: all
Depends: libspring-beans-java (= ${source:Version}),
         libspring-context-java (= ${source:Version}),
         libspring-core-java (= ${source:Version}),
         ${misc:Depends}
Recommends: libspring-aop-java (= ${source:Version}),
            libspring-oxm-java (= ${source:Version})
Suggests: libcommons-fileupload-java,
          libhessian-java,
          libjackson-json-java,
          libjackson2-dataformat-xml-java,
          libnetty-java,
          libprotobuf-java,
          libprotobuf-java-format-java
Description: modular Java/J2EE application framework - Web
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.web.jar : web application context,
 multipart resolver, HTTP-based remoting support.

Package: libspring-web-servlet-java
Architecture: all
Depends: libspring-web-java (= ${source:Version}),
         libspring-aop-java (= ${source:Version}),
         ${misc:Depends}
Recommends: libapache-poi-java,
            libitext-java,
#            libjasperreports-java,
            libjexcelapi-java,
            libspring-context-support-java (= ${source:Version}),
            libtiles-java,
            libvelocity-tools-java,
            libwebjars-locator-java,
            libwebjars-locator-core-java
Description: modular Java/J2EE application framework - Web Portlet
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.web.servlet.jar : framework servlets,
 web MVC framework, web controllers, web views for JSP, Velocity, Tiles, iText
 and POI.

Package: libspring-web-portlet-java
Architecture: all
Depends: libspring-web-servlet-java (= ${source:Version}), ${misc:Depends}
Recommends: libportlet-api-2.0-spec-java
Description: modular Java/J2EE application framework - Portlet MVC
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.web.portlet.jar : integrate JSR 286
 and JSR 168 API with Spring.

Package: libspring-test-java
Architecture: all
Depends: libspring-core-java (= ${source:Version}), ${misc:Depends}
Recommends: junit4,
            testng
Description: modular Java/J2EE application framework - Test helpers
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide org.springframework.test.jar : unit-testing helpers and
 mock classes.

Package: libspring-transaction-java
Architecture: all
Depends: libspring-core-java (= ${source:Version}),
         ${misc:Depends}
Recommends: libgeronimo-ejb-3.2-spec-java,
            libgeronimo-interceptor-3.0-spec-java,
            libgeronimo-j2ee-connector-1.5-spec-java,
            libgeronimo-jta-1.2-spec-java,
            libspring-aop-java (= ${source:Version}),
            libspring-context-java (= ${source:Version})
Description: modular Java/J2EE application framework - transaction
 Spring is a layered Java/J2EE application framework offering a lot of freedom
 to Java developers yet providing well documented and easy-to-use solutions for
 common practices in the industry.
 .
 This package provide spring-transaction.jar : transaction infrastructure,
 JCA support, DAO support.

Package: libspring-jdbc-java
Architecture: all
Depends: libc3p0-java,
         libspring-beans-java (= ${source:Version}),
         libspring-transaction-java (= ${source:Version}),
         ${misc:Depends}
