=== debian/watch ===
Version: 5

Source: https://github.com/spring-projects/spring-framework/tags
Matching-Pattern: .*/v([\d\.]+).RELEASE.tar.gz
Compression: xz
Dversionmangle: s/\.RELEASE//
Repack: yes
